org.bdgenomics.cannoli.Cannoli

# CannoliFragmentDataset

###
Related Doc: package Cannoli

#### implicit class CannoliFragmentDataset extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliFragmentDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CannoliFragmentDataset(fragments: FragmentDataset)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def alignWithBowtie(args: BowtieArgs): AlignmentRecordDataset

   Align the reads in this FragmentDataset with bowtie via Cannoli.

   Align the reads in this FragmentDataset with bowtie via Cannoli.

   args

     Bowtie function arguments.

   returns

     AlignmentRecordDataset.

5. #### def alignWithBowtie2(args: Bowtie2Args): AlignmentRecordDataset

   Align the reads in this FragmentDataset with bowtie2 via Cannoli.

   Align the reads in this FragmentDataset with bowtie2 via Cannoli.

   args

     Bowtie2 function arguments.

   returns

     AlignmentRecordDataset.

6. #### def alignWithBwa(args: BwaArgs): AlignmentRecordDataset

   Align the reads in this FragmentDataset with bwa via Cannoli.

   Align the reads in this FragmentDataset with bwa via Cannoli.

   args

     Bwa function arguments.

   returns

     AlignmentRecordDataset.

7. #### def alignWithGem(args: GemArgs): AlignmentRecordDataset

   Align the reads in this FragmentDataset with GEM-Mapper via Cannoli.

   Align the reads in this FragmentDataset with GEM-Mapper via Cannoli.

   args

     GEM-Mapper function arguments.

   returns

     AlignmentRecordDataset.

8. #### def alignWithMinimap2(args: Minimap2Args): AlignmentRecordDataset

   Align the reads in this FragmentDataset with minimap2 via Cannoli.

   Align the reads in this FragmentDataset with minimap2 via Cannoli.

   args

     Minimap2 function arguments.

   returns

     AlignmentRecordDataset.

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped